# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "curl-http-client"
version = "2.9.0"
authors = ["Lorenzo Leonardo <enzotechcomputersolutions@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "This is a wrapper for Easy2 from curl-rust crate for ergonomic use and can perform synchronously and asynchronously using async-curl crate that uses an actor model (Message passing) to achieve a non-blocking I/O."
homepage = "https://github.com/LorenzoLeonardo/curl-http-client"
documentation = "https://docs.rs/curl-http-client"
readme = "README.md"
categories = ["web-programming::http-client"]
license = "MIT"
repository = "https://github.com/LorenzoLeonardo/curl-http-client"

[lib]
name = "curl_http_client"
path = "src/lib.rs"

[[example]]
name = "asynchronous"
path = "examples/asynchronous.rs"

[[example]]
name = "cancel"
path = "examples/cancel.rs"

[[example]]
name = "download"
path = "examples/download.rs"

[[example]]
name = "get"
path = "examples/get.rs"

[[example]]
name = "post"
path = "examples/post.rs"

[[example]]
name = "resume_download"
path = "examples/resume_download.rs"

[[example]]
name = "upload"
path = "examples/upload.rs"

[dependencies.async-curl]
version = "0.9"

[dependencies.derive-deref-rs]
version = "0.1"

[dependencies.http]
version = "1.4"

[dependencies.log]
version = "0.4"

[dependencies.tokio]
version = "1.49"
features = ["rt"]

[dependencies.url]
version = "2.5"

[dev-dependencies.futures]
version = "0.3"

[dev-dependencies.tempfile]
version = "3.27"

[dev-dependencies.test-case]
version = "3.3"

[dev-dependencies.wiremock]
version = "0.6"
